Bug 232406 (unpaper) - Review Request: unpaper - Post-processing of scanned and photocopied book pages
Summary: Review Request: unpaper - Post-processing of scanned and photocopied book pages
Status: CLOSED NEXTRELEASE
Alias: unpaper
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 09:47 UTC by Bernard Johnson
Modified: 2015-10-10 07:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-20 20:04:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-15 09:47:14 UTC
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/unpaper.spec
SRPM URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/unpaper-0_2-1.fc6.src.rpm
Description: 
unpaper is a post-processing tool for scanned sheets of paper, especially for
book pages that have been scanned from previously created photocopies. The
main purpose is to make scanned book pages better readable on screen after
conversion to PDF. Additionally, unpaper might be useful to enhance the
quality of scanned pages before performing optical character recognition (OCR).
unpaper tries to clean scanned images by removing dark edges that appeared
through scanning or copying on areas outside the actual page content (e.g. dark
areas between the left-hand-side and the right-hand-side of a double- sided
book-page scan). The program also tries to detect disaligned centering and
rotation of pages and will automatically straighten each page by rotating it to
the correct angle. This process is called "deskewing".

Comment 1 manuel wolfshant 2007-03-19 09:08:59 UTC
GOOD
- rpmlint does not return anything, either on source or on binary rpm
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is latest version, sha1sum is
c61552c71184ca7021a6b1737dbd7b35ae77fd19  /home/wolfy/unpaper-0_2.tgz
- package compiles on devel (x86_64)
- no BR at all (just gcc which is in exception list)
- no locales
- not relocatable
- owns all files and directories that it creates, does not take ownership of
foreign files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- not a GUI, so no need for .desktop file
- no .la / static/ .pc files

SHOULD
- package builds fine in mock / devel /x86_64
- works OK (from gscan2pdf ...) 

package APPROVED

Comment 2 Bernard Johnson 2007-03-19 15:37:30 UTC
One thing that I'd like to point out before this package is imported:

The tarball contains a binary.

Does this warrant a rebuild of the tarball or do we just ignore it?

Comment 3 manuel wolfshant 2007-03-19 15:50:28 UTC
I've noticed that there is a debian binary inside. Best option would be (I
think) to ping upstream to re-release the software sources without the binary
(that's why we call it "sources", right ?), and provide a separate binary if he
wishes to. Otherwise, as
http://fedoraproject.org/wiki/Packaging/Guidelines?highlight=%28Packaging%29#head-c23c2cd3782be842dc7ab40c35199c07cfbfe347
is pretty clear that no binaries should be included, I guess the only option is
to repackage the source, adding a comment in the spec explaining the reason for
this action.

Comment 4 Bernard Johnson 2007-03-19 16:22:16 UTC
I will remove the binary from the fedora sources and ping upstream about it.

Comment 5 Bernard Johnson 2007-03-19 19:01:42 UTC
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/unpaper.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/unpaper-0_2-2.fc6.src.rpm

* Mon Mar 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0_2-2
- repackage tgz file without included ELF binary

Comment 6 Bernard Johnson 2007-03-19 19:04:11 UTC
New Package CVS Request
=======================
Package Name: unpaper
Short Description: Post-processing of scanned and photocopied book pages
Owners: bjohnson@symetrix.com
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: 

Comment 7 Bernard Johnson 2014-08-22 02:39:59 UTC
Package Change Request
======================
Package Name: unpaper
New Branches: epel7
Owners: bjohnson

Comment 8 Gwyn Ciesla 2014-08-22 12:07:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.